Package org.eclipse.mat.internal.collectionextract

## Class TreeSetArrayCollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.HashSetCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.TreeSetCollectionExtractor
    - - org.eclipse.mat.internal.collectionextract.TreeSetArrayCollectionExtractor

All Implemented Interfaces:
  `ICollectionExtractor`, `IMapExtractor`

    public class TreeSetArrayCollectionExtractor
    extends TreeSetCollectionExtractor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.inspections.collectionextract.IMapExtractor

`IMapExtractor.EntryObject`

### Constructor Summary

Constructors
`TreeSetArrayCollectionExtractor​(String sizeField, String keyField, String valueField)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<Map.Entry<IObject,​IObject>>` `extractMapEntries​(IObject coll)` Extracts the contents of a map (i.e.

### Methods inherited from class org.eclipse.mat.internal.collectionextract.HashSetCollectionExtractor

`extractEntries, extractEntryIds, getCapacity, getCollisionRatio, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasCollisionRatio, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeSetArrayCollectionExtractor

    public TreeSetArrayCollectionExtractor​(String sizeField,
                                           String keyField,
                                           String valueField)

### Method Detail

#### extractMapEntries

    public Iterator<Map.Entry<IObject,​IObject>> extractMapEntries​(IObject coll)
                                                                 throws SnapshotException

Description copied from interface: `IMapExtractor`
Extracts the contents of a map (i.e. an IObject representing a Map) and provides an Iterator over them

Specified by:
  `extractMapEntries` in interface `IMapExtractor`
Overrides:
  `extractMapEntries` in class `HashSetCollectionExtractor`
Parameters:
  `coll` - - the map to extract contents from
Returns:
  an Iterator over the entries. If the original Map had an Entry object, the content of the iterator would usually be EntryObject
Throws:
  `SnapshotException`